Add a folder to the library
POST
/api/library/folders
Returns 409 with the existing folder when the path is already registered (reason “exists”) or lies inside a registered recursive folder (reason “covered”).
Request Body required
Section titled “Request Body required ”object
path
string
recursive
boolean
watchEnabled
boolean
Responses
Section titled “ Responses ”Created
object
id
string format: uuid
path
string
recursive
boolean
watchEnabled
boolean
lastScanned
string format: date-time
Bad Request
Forbidden
Conflict
object
reason
string
folder
object
id
string format: uuid
path
string
recursive
boolean
watchEnabled
boolean
lastScanned
string format: date-time